MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001295XdebugUsage problems (Wrong Results)public2016-04-18 19:052016-11-12 16:53
Reporterpkunyavskiy 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version7
Product Version2.2.7 
Target VersionFixed in Version2.5.0RC1 
Summary0001295: Apache crashes (SIGSEGV) when trying to establish connection when sockfd is large
DescriptionIn function xdebug_create_socket, you are using select function.

If socket returns sockfd greater than or equals to 1024, select and other FD_ macroses will put garbage on system stack, which causes apache to SIGSEGV.
Probably, it's actual to all versions later (current github version 2bfc4982b40622ea792da276f2d1c3bc8b6e8f98 has this bug).
Steps To ReproduceProbably, have too many sites (with many ports to listen) on single apache.
Additional InformationSolution is simple: replace select with poll or epoll.
TagsNo tags attached.
Operating System
PHP Version5.3.7
Attached Files

- Relationships

-  Notes
(0003589)
derick (administrator)
2016-05-10 20:44

Fixed in master on GitHub, as the code now uses poll() instead of select, which doesn't have this FD limit. As that PR also introduces a new feature, this won't be part of the 2.4.x series.

- Issue History
Date Modified Username Field Change
2016-04-18 19:05 pkunyavskiy New Issue
2016-05-10 20:44 derick Note Added: 0003589
2016-05-10 20:44 derick Status new => closed
2016-05-10 20:44 derick Assigned To => derick
2016-05-10 20:44 derick Resolution open => fixed
2016-05-10 20:44 derick Fixed in Version => 2.5.0dev
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2016-11-12 16:53 derick Fixed in Version 2.5.0dev => 2.5.0RC1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker